Edited at

PhpStormでgit使おうとしたらエラー

More than 3 years have passed since last update.

もう半月以上前だけどもPhpStormで認証通したと思ったらエラーが起きた。fetchできない。

Push failed Failed with error: fatal: Could not read from remote repository.

どうやらIntelliJ系列でgitを使おうとすると起きることらしい。

Android Studio - Push failed: fatal: Could not read from remote repository

設定のSSH executableBuild-InからNativeに変更することで使えるようになります。

今まで使えてたものがなんで急に使えなくなったのかの原因はわかりませんが、周りであたらしくインストールした人がみんな発生したので短いですが記事にしました。MacでもUbuntuでも発生しました。

あとMacユーザーの中にはXcodeのインストールがうまくいっていなかっただけっぽい人もいました。

前記事 - ラクして環境構築するためのScotch-Boxが2.0になってかなり進化してた。

PHPerに送りたい記事 - インドでのPHP事情 - 日本以外にもPHPが人気な国があるんです。